Package fr.gouv.vitam.common.model.massupdate

# Class RuleCategoryActionDeletion

java.lang.Object
fr.gouv.vitam.common.model.massupdate.RuleCategoryActionDeletion

public class RuleCategoryActionDeletion extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `UNUSED_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleCategoryActionDeletion()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<String>`
  `getClassificationAudience()`
  `String`
  `getClassificationAudienceForDeserializer()`
  `Optional<String>`
  `getClassificationReassessingDate()`
  `String`
  `getClassificationReassessingDateForDeserializer()`
  `Optional<String>`
  `getFinalAction()`
  `String`
  `getFinalActionForDeserializer()`
  `Optional<Boolean>`
  `getNeedReassessingAuthorization()`
  `Boolean`
  `getNeedReassessingAuthorizationForDeserializer()`
  `Optional<Boolean>`
  `getPreventInheritance()`
  `Boolean`
  `getPreventInheritanceForDeserializer()`
  `Set<String>`
  `getPreventRulesId()`
  `Set<String>`
  `getPreventRulesIdForDeserializer()`
  `Set<String>`
  `getPreventRulesIdToRemove()`
  `Optional<List<RuleAction>>`
  `getRules()`
  `List<RuleAction>`
  `getRulesForDeserializer()`
  `boolean`
  `isEmpty()`
  `void`
  `setClassificationAudience(String unused)`
  `void`
  `setClassificationReassessingDate(String unused)`
  `void`
  `setFinalAction(String unused)`
  `void`
  `setNeedReassessingAuthorization(Boolean needReassessingAuthorization)`
  `void`
  `setPreventInheritance(Boolean unused)`
  `void`
  `setPreventRulesId(Set<String> preventRulesId)`
  `void`
  `setPreventRulesIdToRemove(Set<String> preventRulesIdToRemove)`
  `void`
  `setRules(List<RuleAction> rules)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNUSED_VALUE

    protected static final String UNUSED_VALUE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RuleCategoryActionDeletion

    public RuleCategoryActionDeletion()

- ## Method Details

  - ### getRules

    public Optional<List<RuleAction>> getRules()

  - ### setRules

    public void setRules(List<RuleAction> rules)

  - ### getRulesForDeserializer

    public List<RuleAction> getRulesForDeserializer()

  - ### getFinalAction

    public Optional<String> getFinalAction()

  - ### setFinalAction

    public void setFinalAction(String unused)

  - ### getFinalActionForDeserializer

    public String getFinalActionForDeserializer()

  - ### getClassificationAudience

    public Optional<String> getClassificationAudience()

  - ### setClassificationAudience

    public void setClassificationAudience(String unused)

  - ### getClassificationAudienceForDeserializer

    public String getClassificationAudienceForDeserializer()

  - ### getClassificationReassessingDate

    public Optional<String> getClassificationReassessingDate()

  - ### setClassificationReassessingDate

    public void setClassificationReassessingDate(String unused)

  - ### getClassificationReassessingDateForDeserializer

    public String getClassificationReassessingDateForDeserializer()

  - ### getNeedReassessingAuthorization

    public Optional<Boolean> getNeedReassessingAuthorization()

  - ### setNeedReassessingAuthorization

    public void setNeedReassessingAuthorization(Boolean needReassessingAuthorization)

  - ### getNeedReassessingAuthorizationForDeserializer

    public Boolean getNeedReassessingAuthorizationForDeserializer()

  - ### getPreventInheritance

    public Optional<Boolean> getPreventInheritance()

  - ### setPreventInheritance

    public void setPreventInheritance(Boolean unused)

  - ### getPreventInheritanceForDeserializer

    public Boolean getPreventInheritanceForDeserializer()

  - ### getPreventRulesId

    public Set<String> getPreventRulesId()

  - ### setPreventRulesId

    public void setPreventRulesId(Set<String> preventRulesId)

  - ### getPreventRulesIdForDeserializer

    public Set<String> getPreventRulesIdForDeserializer()

  - ### isEmpty

    public boolean isEmpty()

  - ### getPreventRulesIdToRemove

    public Set<String> getPreventRulesIdToRemove()

  - ### setPreventRulesIdToRemove

    public void setPreventRulesIdToRemove(Set<String> preventRulesIdToRemove)